{% extends "base.html" %}

{% block head %}
    <link href="{{ sitepath }}static/css/story.css" rel="stylesheet" type="text/css">
{% endblock %}

{% block innercontentmore %} class="scrollable"{% endblock %}
{% block mainmore %} class="storycontent" {% endblock %}

{% block infoleft %}
    <div id="editform">
        <form id="reply" action='{{ sitepath }}upload' method='post' >
            <div class="right">
                <select id="expiry" name="expires">
                    <option disabled=disabled>Expires:</option>
                    <option value="0">nunca</option>
                    <option value="60">1 minuto</option>
                    <option value="300">5 minutos</option>
                    <option value="3600">1 hora</option>
                    <option value="86400">1 dia</option>
                    <option value="604800">1 semana</option>
                    <option value="2419200">1 mês</option>
                    <option value="29030400">1 ano</option>
                </select>

                <button id="save">save</button>
            </div>

            <input class="codebox" name='filename' id="filename" type='text' value="" placeholder="nome do arquivo (vazio para um nome randômico)">.<input id="extension" class="codebox" name='extension' type='text' value="story" placeholder="txt">
            <textarea name='content' id="newcontent" class="editor"></textarea>
        </form>
    </div>
{% endblock %}

{%block infomore %}
<label>wrap <input id="wordwrap" type="checkbox" checked></label> | 
{% endblock %}

{% block main %}
<div id="normal-content" class="normal">
    <pre id="normal-code"><code id="codeb" class="story">{% for line in lines %}{% if line|make_list|first == ">" %}<span class="storygreen">{{ line }}</span>{% else %}<span class="storyred">{{ line }}</span>{% endif %}{% endfor %}</code></pre>
    <textarea id="editor" class="editor">{{ extra.contents }}</textarea>
</div>


<script src="{{ sitepath }}static/js/util.js"></script>
<script src="{{ sitepath }}static/js/bin.js"></script>
{% endblock %}
